io_uring_get_sqe(3)

NAME
io_uring_get_sqe - get the next vacant event from the submission queue

SYNOPSIS
#include <liburing.h>

struct io_uring_sqe *io_uring_get_sqe(struct io_uring *ring);

DESCRIPTION

The io_uring_get_sqe() function gets the next vacant event from the submission queue belonging to the ring param. On success io_uring_get_sqe() returns a pointer to the submission queue event. On failure NULL is returned. If a submission queue event is returned, it should be filled out via one of the prep functions such as io_uring_prep_read(3) and submitted via io_uring_submit(3).

RETURN VALUE
io_uring_get_sqe(3) returns a pointer to the next submission queue event on success and NULL on failure.

SEE ALSO
io_uring_submit(3)